Change region if i have a modchip?

Discussion in 'Wii - Backup Loaders' started by BogdanPanduru, Mar 3, 2012.

Mar 3, 2012
  1. BogdanPanduru
    OP

    Newcomer BogdanPanduru Member

    Joined:
    Mar 3, 2012
    Messages:
    38
    Hello.
    I have a modchiped Wii.Unfortunately my modchip can't run ntsc games (i have a pal wii version 4.3e) and I want to play Pokepark 2 Wonders Beyond (new game,released on USA in 27th February) really bad :(.I searched on the internet but I only found how to do it if my Wii is softmoded.
    Is there a way to play the ntsc game on my chip moded pal wii and work for the newest games?
    Please help!
     


  2. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    You have a crappy modchip if you can't run region free games on 3.4 with it. The vast majority of modchips can bypass region protections up to 4.2 or something like that. It's only higher than that that you need software to load out of region games.

    And you definitely don't want to change region, that'll achieve nothing. You can just install Homebrew Channel and then use something like TinyLoad or Gecko OS to load your out of region games, or else install Priiloader and use the region free hacks in it. (Not sure if they work on 3.4, upgrade to at least 4.1 if you want to use that method)
     
  3. BogdanPanduru
    OP

    Newcomer BogdanPanduru Member

    Joined:
    Mar 3, 2012
    Messages:
    38
    Oh i made a mistake and writed 3.4e instead of 4.3e xD.So,it will work to play ntsc games with 4.3e?
     
  4. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    You can use TInyLoad/Gecko OS or you could install Priiloader. Priiloader is a bigger risk but it will make out of region discs work from System Menu, rather than having to load a homebrew each time you want to run an out of region disc.
     
  5. kano

    Newcomer kano Advanced Member

    Joined:
    May 19, 2008
    Messages:
    71
    Country:
    Malta
    if you are on 4.3e most probaly it disabled your region free ability if you had any, just softmod your Wii using modmii and downgrade at least to 4.1e and see if that works.
    if it still wont work just do as SifJar said and install priiloader and enable region free hack, also make sure you enable block disc update or else if you update from an NTSC disc you will brick
     
  6. BogdanPanduru
    OP

    Newcomer BogdanPanduru Member

    Joined:
    Mar 3, 2012
    Messages:
    38
    Ok thanks you guys but i never hacked or instaled custom software on my wii -.-.Who can give me some links with good tutorials to install homebrew chanel,tinyload and downgrade my version if necesary.And if you can tell me the safe way because i don't want to get bricked :(.
     
  7. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    Don't ever ever ever downgrade your Wii. Anyone who advises such a move is an idiot. Downgrading is NEVER worth it.
     
  8. kano

    Newcomer kano Advanced Member

    Joined:
    May 19, 2008
    Messages:
    71
    Country:
    Malta
    you just need modmii it will tell you what to do, check the stickied guides in this forum


     
  9. kirbymaster101

    Member kirbymaster101 GBAtemp Maniac

    Joined:
    Dec 21, 2008
    Messages:
    1,048
    Country:
    Canada
    well you can downgrade but the faster method would just be to install priilaoder and enable the reion free tweaks.
     
  10. kano

    Newcomer kano Advanced Member

    Joined:
    May 19, 2008
    Messages:
    71
    Country:
    Malta
    true but theres no advantage in staying on 4.3 or 4.2 all they have is added anti piracy security on them
     
  11. kirbymaster101

    Member kirbymaster101 GBAtemp Maniac

    Joined:
    Dec 21, 2008
    Messages:
    1,048
    Country:
    Canada
    In the end OP, either downgrade to 4.1 or install priilaoder and get the reion free hacks, your call. Or you could buy an external hard drive and play games using a usb laoder.
     
  12. BogdanPanduru
    OP

    Newcomer BogdanPanduru Member

    Joined:
    Mar 3, 2012
    Messages:
    38
    First: I am confused.I think the safest way is to wait until the game is released for PAL -.-.I saw diffrent methods of install and i think i better don't risk.
    Thanks anyway!
    Second:Is too hard for me to install these things.
     
  13. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    No, I am not an idiot. I clearly know a lot more about the Wii than you do. And I know for a fact that XFlak does not ever recommend downgrading. (He's the author of ModMii). I don't use ModMii because I have a bit of common sense so I can do things myself, and 99% of the stuff ModMii does is useless to me (not meant as any sort of insult to ModMii or XFlak, it just isn't something I have need of), so I don't know what it does or does not advise, but downgrading is bad advice. But your suggestion of "if you dont [that should be "don't"] know what your [that should be "you're"] talking about then shut up your mouth ["shut up" or "shut your mouth" - make your mind up]" is good advice - I advise you follow it yourself.

    EDIT: And just because something is "safe" doesn't mean it is good.
     
  14. Lucif3r

    Member Lucif3r GBAtemp Maniac

    Joined:
    Sep 10, 2011
    Messages:
    1,464
    Country:
    Sweden
    Use neogamma, Im pretty sure it has a regionfree setting. SM 4.2+ are region locked, 4.1 and below is region free (or maybe 4.1 is also region locked, i dont remember).

    Downgrading from 4.3 to 4.1 isnt a bad advice. Downgrading below 4.1 is a bad advice though, as you start losing features and, if you go below 4.0, risk bricking newer Wii's (I think modmii installs IOS's to prevent that though)


    Edit: and yes, ModMii does not recommend downgrading.
     
  15. kano

    Newcomer kano Advanced Member

    Joined:
    May 19, 2008
    Messages:
    71
    Country:
    Malta
    1st you shouldn’t have to call other people idiots just because you don’t agree with their opinion
    2nd Im not an english person like you so don’t try to teach others english grammar
    3rd you are no better than other person, how come can you confirm that you know more than me ? you don’t know me
    finally don’t annoy other people with your selfish replies just cos you don’t agree with them, if you don’t like a post then don’t look at it
    at least I was trying to help here
     
  16. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    I think you'll find the first post helping him was by me, so don't give me that rubbish for a start ("at least I was trying to help here"). And I am not an English person either. Also, just because you aren't a native English speaker doesn't mean I can't teach you correct English grammar. That would make zero sense. If you're contributing to an English language forum, you should be trying your best to type in correct English, and should be welcoming correction to help you learn the language.

    I did not disagree with your "opinion", I was saying that the process you were suggesting was not a good idea. Opinions weren't involved. And I can confirm I know more about the Wii than you because you not only suggested downgrading, but even recommended it. Anyone who knows a decent amount about the Wii will not recommend such a thing. But I have never, ever said I was better than someone else (at least, if I ever have it has been as a joke). Please don't make me into someone I am not.

    I was not being selfish, I was being helpful. I don't like the post because it advised something dangerous. Ignoring that won't help the OP, which is my main priority, much more so than not offending you, although I do not want to offend you either, nor anyone else for that matter.
     
  17. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    Downgrading to 4.1 is no more dangerous than upgrading manually (and less dangerous than doing an official upgrade, since you could get a 003 brick). It is worth it if you want to have region free from your modchip. You just need to makes sure that the OP installs the appropriate version of IOS60 first. Current wad managers won't even let you install a SM wad unless you have a non-stub version of the required SM IOS installed.
     
  18. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    But installing a different SM isn't necessary at all. He could easily just use TinyLoad with zero risk.
     
  19. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    It's not necessary, but it will make things faster and easier. It's up to the OP. Personally, I would downgrade to 4.1 because I know what I'm doing, and even if I didn't, a wad manager wouldn't let me skip the SM IOS. If this was 2 years ago, I might be more inclined to agree with you because wad managers didn't have that kind of protection.
     
  20. BogdanPanduru
    OP

    Newcomer BogdanPanduru Member

    Joined:
    Mar 3, 2012
    Messages:
    38
    I'm geting confused because all these programs allow me to run backups but i aleardy can because i have a modchip.
     

Share This Page